
Pre-Development - Feature #18489

Bug # 19678 (Closed): FE - React - MLEB Function incorrect mapping and missing status dropdown fields

IAM > MLEB Function

17 October 2023 10:04 PM - David Wong

Status: Closed Start date: 19 January 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

GIT Repo: http://172.16.25.66/gitlab/mleb-solution-domain/smesd100/mleb-iam.git

Microservice: bd_iam

Reference UI:

Login into: https://dev.silverlakemobility.com/hlf/sg/cc_iam/loginModule/login.htm (sysuser/abc123)

And then go to this URL: 

https://dev.silverlakemobility.com/hlf/sg/cc_iam/mlebFunctionModule/listMLEBFunctionsByPage.htm?firstTime=Y

Requirements:

Search Form

Function code = FUNC_LIST_MLEB_FUNCTION

Search Action Button:

Function code = FUNC_LIST_MLEB_FUNCTION

Count Search Result Action Button:

Function code = FUNC_LIST_MLEB_FUNCTION

Search criteria

MLEB System = systemCode/systemName select item

Function Group = textbox (with standard search criteria)

Function name = textbox  (with standard search criteria)

Role name = textbox  (with standard search criteria)

Status = char/Status (standard status list)

Search result

Function code

System name (system code)

Function Group

Function Name (function code)

Status

SQL query template

select mf.function_code, mf.function_name || ' (' || mf.function_code || ')' , mf.status, mfg.group_name, ms.system_name || ' (' ||

 ms.system_code || ')'

from mleb_iam.mleb_function mf

  inner join mleb_iam.mleb_function_group mfg on mf.group_code = mfg.group_code

  inner join mleb_iam.mleb_system ms on ms.system_code = mf.system_code

where 1=1

order by ms.system_name asc, mfg.group_name asc, mf.function_name asc

 

(if user input role name in the search criteria)

add this into the SQL query above:
  inner join mleb_iam.user_role_function urf on urf.function_code = mf.function_code

  inner join mleb_iam.user_role ur on ur.role_name = urf.role_name

 SQL where clause and search criteria mapping

MLEB System -> ms.system_code in (:systemCodes)

Function Group -> upper(mfg.group_name) = :groupName

Function name -> upper(mf.function_name) = :functionName

Role name -> upper(ur.role_name) = :roleName

Status -> mf.status in (:statuses)

Form

Function code = FUNC_SAVE_MLEB_FUNCTION

(No Add Action Button)

View Action Button:

Function code = FUNC_GET_MLEB_FUNCTION

Update Action Button:

Function code = FUNC_SAVE_UPDATE_MLEB_FUNCTION

Mandatory fields:

functionCode

functionName

systemCode

status

Duplicate check:

functionCode

functionName

Subtasks:

Bug # 19529: IAM > MLEB Function Closed

History

#1 - 17 October 2023 10:35 PM - David Wong

- Description updated

- Due date changed from 23 October 2023 to 18 October 2023

#2 - 17 October 2023 10:37 PM - David Wong

- Description updated

#3 - 18 October 2023 10:52 AM - Farid Nazmi

- Status changed from New to In Progress

#4 - 18 October 2023 11:14 AM - David Wong

- Due date changed from 18 October 2023 to 25 October 2023

#5 - 18 October 2023 11:17 AM - David Wong

Package name = com.silverlake.ifb.iam.mlebFunction

Bean prefix = MlebFunction

Service prefix = MlebFunction

DAO prefix = MlebFunction

WS prefix = MlebFunction
#6 - 18 October 2023 03:55 PM - Farid Nazmi

- % Done changed from 0 to 20

finish dto setup

#7 - 20 October 2023 02:48 PM - Farid Nazmi

- % Done changed from 20 to 50

already done the repository part :

MlebFunctionDao

MlebFunctionDaoCustom

MlebFunctionDaoImpl

-Already include join table condition for user role and user role function in parseFromClause

MlebFunctionSearchSqlConstant

-Already include join table constant

currently proceed on the services and web services

#8 - 25 October 2023 03:22 PM - Farid Nazmi

- % Done changed from 50 to 90

Already done all part proceed with testing

#9 - 26 October 2023 01:34 PM - Farid Nazmi

- % Done changed from 90 to 100

Already done and push to git

#10 - 26 October 2023 01:36 PM - Farid Nazmi

- Status changed from In Progress to Resolved

#11 - 26 October 2023 02:13 PM - Farid Nazmi

- Assignee changed from Farid Nazmi to David Wong

#12 - 01 December 2023 03:39 PM - Low Dylan

- Status changed from Resolved to Feedback

- Assignee changed from David Wong to chok yee fan

Please help to integrate.

#13 - 01 December 2023 04:31 PM - chok yee fan

- Assignee changed from chok yee fan to Farid Nazmi

please put the ws url and request paramters and assign back to me
#14 - 01 December 2023 04:32 PM - Farid Nazmi

okay sure

#15 - 01 December 2023 05:06 PM - Farid Nazmi

- Assignee changed from Farid Nazmi to chok yee fan

Module Name : MLEB Function

WS Url = ../api/mlebFunctionWs

Parameters for WS

1. /searchForm      * {}

2. /searchAction

{

"sessionID": "test",

"mlebFunctionSearchParamBean": {

"columnSortingBean": {

"columnName": "functionName",

"descending": true

},

"totalRowsPerPage": 10,

"pageNumber": 1,

"offset": 0,

"goToFirstPage": true,

"groupName": "",

"groupNameCriteria": "",

"functionName": "",

"functionNameCriteria": "",

"roleName": "",

"roleNameCriteria": "",

"statuses": [],

"systemNames": []

}

}

3. /countSearchAction     * {}

4. /dataEntryForm     * {}

5. /viewAction     * {

"sessionID": "test",

"mlebFunctionBean": {

"functionCode": "FUNC_LIST_ORGANISATION_TYPE"

}

}

6. /updateAction     * {

"sessionID": "test",

"mlebFunctionEntity": {

"functionCode": "FUNC_LIST_ORGANISATION_TYPE",

"functionName": "Organisation Type Search Form",

"systemCode": "MLEB_IAM",

"status": "",

"groupCode": "ORG_TYPE",

"status": "A",

"createDt": "2023-10-14T06:18:35.326+08:00",

"createBy": "mleb_dba",

"modifyDt": null,

"modifyBy": null,

"effectiveDt": null,

"expiryDt": null

}

}
#16 - 04 December 2023 01:38 PM - chok yee fan

- Assignee changed from chok yee fan to Hazimi Muhammad

develope the mleb function screen

https://dev.silverlakemobility.com/demo/cc_iam/mlebFunctionModule/listMLEBFunctionsByPage.htm

#17 - 12 December 2023 12:17 PM - Hazimi Muhammad

Hazimi - ADD MLEB Function Module

~/Documents/React/mleb-iam/cc_iam/src

assets/i18n

en-US.json

ms-MY.json

pages/mleb-function

MlebFunction.tsx

MlebFunctionAction.tsx

MlebFunctionForm.tsx

MlebFunctionSearch.api.tsx

MlebFunctionSearch.tsx

#18 - 12 December 2023 08:17 PM - Hazimi Muhammad

Hazimi - Remove the split function in MLEB Function Module

~/Documents/React/mleb-iam/cc_iam/src/pages/mleb-function

MlebFunctionSearch.tsx

#19 - 13 December 2023 05:08 PM - Hazimi Muhammad

Hazimi - change formmode base on constant value (MlebFunction)

~/Documents/React/mleb-iam/cc_iam/src/pages/mleb-function

MlebFunctionAction.tsx

MlebFunctionForm.tsx

MlebFunctionSearch.tsx

#20 - 13 December 2023 05:13 PM - Hazimi Muhammad

- File WhatsApp Image 2023-12-13 at 3.15.44 PM.jpeg added

- File WhatsApp Image 2023-12-13 at 5.12.22 PM (1).jpeg added

- Assignee changed from Hazimi Muhammad to Farid Nazmi

Cannot find the response for Function Group array in dataEntryForm.

http://localhost:8081/api/mlebFunctionWs/dataEntryForm

Response:
{

"responseTimestamp": "2023-12-13T15:15:57.388+08:00",

"headerBean": {

"bddispatchURL": null,

"serviceID": "FUNC_SAVE_MLEB_FUNCT",

"requestInfo": null,

"bdvmurl": null

},

"responseCode": "00300",

"responseMessage": "Success OK.",

"sessionID": null,

"tranxID": "10051926",

"bdResponseCode": null,

"bdResponseMessage": null,

"mlebFunctionBean": {

"mandatoryFields": [

"functionCode",

"functionName",

"systemCode",

"status"

],

"infoMessages": [],

"errorMessages": [],

"warnMessages": [],

"functionCode": null,

"functionName": null,

"systemCode": null,

"systemName": null,

"groupName": null,

"groupCode": null,

"status": null,

"selected": false

},

"mlebFunctionEntity": {

"functionCode": null,

"functionName": null,

"systemCode": null,

"groupCode": null,

"status": null,

"createDt": null,

"effectiveDt": null,

"expiryDt": null,

"createBy": null,

"modifyDt": null,

"modifyBy": null,

"mlebSystemEntity": null,

"mlebFunctionGroupEntity": null,

"statusLabel": null

},

"systemNameSelectItems": [         {

"key": "MLEB_COMMON",

"value": "General"

},         {

"key": "MLEB_AM",

"value": "Alert Messaging"

},         {

"key": "MLEB_MAM",

"value": "Mobile Application Management"

},         {

"key": "MLEB_CHATBOT",

"value": "Chatbot"

},         {

"key": "MLEB_IAM",

"value": "Administration"

}

],

"statusSelectItems": [         {

"key": "A",

"value": "Active"

},         {

"key": "D",

"value": "Pending Deletion"

},         {

"key": "X",

"value": "Inactive"
}

],

"bdobject": null

}

#21 - 19 December 2023 11:30 AM - chok yee fan

- Assignee changed from Farid Nazmi to Hazimi Muhammad

David oledi put it the code

#22 - 19 December 2023 01:15 PM - Hazimi Muhammad

- File WhatsApp Image 2023-12-19 at 1.11.19 PM.jpeg added

- File WhatsApp Image 2023-12-19 at 1.12.35 PM.jpeg added

- Assignee changed from Hazimi Muhammad to David Wong

Want to make for this Dispatch URL , UM URL and Core Function still exist? if do which one should i map? because i cannot find inside the WS

viewAction

#23 - 11 January 2024 03:37 PM - Hazimi Muhammad

- Assignee changed from David Wong to chok yee fan

Hazimi - Feature #18489 - IAM > MLEB Function - Fix the update ws and add defaultValues

~/Documents/React/mleb-iam/cc_iam/src/pages/mleb-function

MlebFunction.tsx

MlebFunctionForm.tsx

MlebFunctionSearch.tsx

#24 - 11 January 2024 03:52 PM - Hazimi Muhammad

Hazimi - Feature #18489 - IAM > MLEB Function - Remove the dispatch url and vm url

~/Documents/React/mleb-iam/cc_iam/src/pages/mleb-function

MlebFunctionForm.tsx

#25 - 15 January 2024 11:42 AM - Hazimi Muhammad

- Assignee changed from chok yee fan to Hazimi Muhammad

#26 - 15 January 2024 11:45 AM - Hazimi Muhammad

Hazimi - Feature #18489 - IAM > MLEB Function - Fix bug for mleb function

~/Documents/React/mleb-iam/cc_iam/src/pages/mleb-function

MlebFunctionSearch.tsx

#27 - 15 January 2024 11:54 AM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan
#28 - 16 January 2024 11:33 AM - chok yee fan

careless not testing

create another bug to track

https://dev.silverlakemobility.com/redmine/issues/19480

#29 - 18 January 2024 04:20 PM - Hazimi Muhammad

- Assignee changed from chok yee fan to Farid Nazmi

Issue on searchAction (systemName[]) that when key in the payload is correct but still got error.

#30 - 24 January 2024 04:36 PM - Farid Nazmi

already fix searchAction WS

#31 - 24 January 2024 04:44 PM - Farid Nazmi

- Assignee changed from Farid Nazmi to Hazimi Muhammad

#32 - 24 January 2024 04:52 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

#33 - 02 February 2024 08:04 AM - Hazimi Muhammad

Scenario :

Click MLEB FUNCTION > search > table> modify >empty the data> save

Issue :

The form dont have validation if the form is empty

Expected :

The form need to have validation if the form is empty

#34 - 02 February 2024 07:44 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

#35 - 05 February 2024 03:11 PM - Amirul Umar Pandai

- Status changed from Feedback to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Add "required" validation error message on click save with empty required field

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/b696f27b483f0947f65d7fbed261ce39b4a15035

#36 - 05 February 2024 04:01 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan
Go to MLEB FUNCTION > click search > select data on the table> modify the form > try to empty the data > save

The issue has been fix when click save will get the error message

#37 - 07 February 2024 10:22 AM - chok yee fan

- Parent task set to #19678

careless with incorrect mapping BE service will use this readmine the trace

https://dev.silverlakemobility.com/redmine/issues/19678

#38 - 15 February 2024 02:04 PM - chok yee fan

- Status changed from Feedback to Closed

Files

WhatsApp Image 2023-12-13 at 3.15.44 PM.jpeg 165 KB 13 December 2023 Hazimi Muhammad

WhatsApp Image 2023-12-13 at 5.12.22 PM (1).jpeg 120 KB 13 December 2023 Hazimi Muhammad

WhatsApp Image 2023-12-19 at 1.11.19 PM.jpeg 70.6 KB 19 December 2023 Hazimi Muhammad

WhatsApp Image 2023-12-19 at 1.12.35 PM.jpeg 236 KB 19 December 2023 Hazimi Muhammad
